http://qs321.pair.com?node_id=752378

edatawiz has asked for the wisdom of the Perl Monks concerning the following question:

Hi - I have activeperl 5.8.9 build 825. I recently update Par-Packer until then it was working fine. Now I receive error :

"The procedure entry point Perl_hv_common_key_len could not be located in the dynamic link library perl58.dll. "

When I do pp -o myscript.exe myscript.pl
I did a complete uninstall and reinstall of Perl and other related modules.
The version of Par-Packer I have is:
PAR 0.976
Par-Dist 0.44
Par-Packer 0.976

I am new to this whole thing. Please give me / redirect me with some detailed explanation.

I also have another issue with IP::Country::Fast which I have posted and received no further help.

Replies are listed 'Best First'.
Re: Unable to use Par-Packer
by Corion (Patriarch) on Mar 22, 2009 at 12:48 UTC

    It seems as if the PPM you try to use for your Perl is not compatible with your Perl. As you don't tell us which PPM you used, from which repository, it's hard to help you further.

    You got an answer to IP::Country::Fast library, which basically told you to write the appropriate code to load a data file from the ZIP archive or to ask the PAR developers about why the include path is set up weird. Which of these two have you pursued?

Re: Unable to use Par-Packer
by zentara (Archbishop) on Mar 22, 2009 at 13:10 UTC